> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update NinjaOne organization configuration



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json put /v1/integration/{integrationId}/ninjaone
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/integration/{integrationId}/ninjaone:
    put:
      tags:
        - Integration
      summary: Update NinjaOne organization configuration
      operationId: NinjaOneController_setConfiguration
      parameters:
        - name: integrationId
          required: true
          in: path
          description: NinjaOne integration ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NinjaOneConfigurationDto'
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    NinjaOneConfigurationDto:
      type: object
      properties:
        organizationIds:
          type: string
          description: >-
            Comma-separated numeric organization IDs. An empty value ingests all
            organizations.
      required:
        - organizationIds
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````